NWBPSET(1)

NAME
nwbpset - Create a bindery property or set its value

SYNOPSIS
nwbpset [ -h ] [ -S server ] [ -U user name ] [ -P password | -n ] [ -C ]

DESCRIPTION
nwbpset Reads a property specification from the standard input and creates and sets the corresponding property. The format is determined by the output of 'nwbpvalues -c'. nwbpset will hopefully become an important part of the bindery management suite of ncpfs, together with 'nwbpvalues -c'. See util/nwbpsecurity for an example. As another example, look at the following command line:
  nwbpvalues -t 1 -o supervisor -p user_defaults -c |\
  sed '2s/.*/ME/'|\
  sed '3s/.*/LOGIN_CONTROL/'|\
  nwbpset With this command, the property user_defaults of the user object 'supervisor' is copied into the property login_control of the user object 'me'.
  nwbpvalues -t 1 -o me -p login_control -c |\
  sed '9s/.*/ff/'|\
  nwbpset This command disables the user object me. Feel free to contribute other examples! nwbpset looks up the file $HOME/.nwclient to find a file server, a user name and possibly a password. See nwclient(5) for more information. Please note that the access permissions of $HOME/.nwclient MUST be 600 for security reasons.

OPTIONS
-h
    -h is used to print out a short help text.
-S server
    server is the name of the server you want to use.
-U user
    user is the user name to use for login.
-P password
    password is the password to use for login. If neither -n nor -P are given, and the user has no open connection to the server, nwbpset prompts for a password.
-n
    -n should be given if no password is required for the login.
-C
    By default, passwords are converted to uppercase before they are sent to the server, because most servers require this. You can turn off this conversion by -C.

AUTHORS
nwbpset was written by Volker Lendecke. See the Changes file of ncpfs for other contributors.